EK1310 - 1-port EtherCAT P extension with feed-in
Home


Foreword

Foreword
Foreword
Additional information
•
Notes on the documentation
•
Safety instructions
•
Documentation issue status
•
Version identification of EtherCAT devices


Notes on the documentation

Foreword [image] Notes on the documentation
Notes on the documentation
Intended audience
This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the documentation and the following notes and explanations are followed when installing and commissioning these components.
It is the duty of the technical personnel to use the documentation published at the respective time of each installation and commissioning.
The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.
Disclaimer
The documentation has been prepared with care. The products described are, however, constantly under development.
We reserve the right to revise and change the documentation at any time and without prior announcement.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.
Trademarks
Beckhoff®, TwinCAT®, EtherCAT®, EtherCAT G®, EtherCAT G10®, EtherCAT P®, Safety over EtherCAT®, TwinSAFE®, XFC®, XTS® and XPlanar® are registered trademarks of and licensed by Beckhoff Automation GmbH. Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.
Patent Pending
The EtherCAT Technology is covered, including but not limited to the following patent applications and patents: EP1590927, EP1789857, EP1456722, EP2137893, DE102015105702 with corresponding applications or registrations in various other countries.
EtherCAT® is registered trademark and patented technology, licensed by Beckhoff Automation GmbH, Germany.
Copyright
© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Safety instructions

Foreword [image] Safety instructions
Safety instructions
Safety regulations
Please note the following safety instructions and explanations!
Product-specific safety instructions can be found on following pages or in the areas mounting, wiring, commissioning etc.
Exclusion of liability
All the components are supplied in particular hardware and software configurations appropriate for the application. Modifications to hardware or software configurations other than those described in the documentation are not permitted, and nullify the liability of Beckhoff Automation GmbH & Co. KG.
Personnel qualification
This description is only intended for trained specialists in control, automation and drive engineering who are familiar with the applicable national standards.
Description of instructions
In this documentation the following instructions are used.
These instructions must be read carefully and followed without fail!
SmallWarningYellow DANGER
Serious risk of injury!
Failure to follow this safety instruction directly endangers the life and health of persons.
SmallWarningYellow WARNING
Risk of injury!
Failure to follow this safety instruction endangers the life and health of persons.
SmallWarningYellow CAUTION
Personal injuries!
Failure to follow this safety instruction can lead to injuries to persons.
Note
Damage to environment/equipment or data loss
Failure to follow this instruction can lead to environmental damage, equipment damage or data loss.
Tip or pointer
This symbol indicates information that contributes to better understanding.


Documentation issue status

Foreword [image] Documentation issue status
Documentation issue status
Version | Modifications
1.3 | - Chapter “Introduction EtherCAT P” updated - Update structure
1.2 | - Chapter “Introduction EtherCAT P” updated - Revision of section “Technical data”
1.1 | - Chapter “Error handling and diagnostics” updated - Revision of section “Technical data”
1.0 | - Corrections - 1st public issue
0.1 | - First version


Version identification of EtherCAT devices

Foreword [image] Version identification of EtherCAT devices
Version identification of EtherCAT devices
Designation
A Beckhoff EtherCAT device has a 14-digit designation, made up of
▪
family key
▪
type
▪
version
▪
revision
Example | Family | Type | Version | Revision
EL3314-0000-0016 | EL terminal (12 mm, non-pluggable connection level) | 3314 (4-channel thermocouple terminal) | 0000 (basic type) | 0016
ES3602-0010-0017 | ES terminal (12 mm, pluggable connection level) | 3602 (2-channel voltage measurement) | 0010 (high-precision version) | 0017
CU2008-0000-0000 | CU device | 2008 (8-port fast ethernet switch) | 0000 (basic type) | 0000
Notes
▪
The elements mentioned above result in the technical designation. EL3314-0000-0016 is used in the example below.
▪
EL3314-0000 is the order identifier, in the case of “-0000” usually abbreviated to EL3314. “-0016” is the EtherCAT revision.
▪
The order identifier is made up of
- family key (EL, EP, CU, ES, KL, CX, etc.)
- type (3314)
- version (-0000)
▪
The revision -0016 shows the technical progress, such as the extension of features with regard to the EtherCAT communication, and is managed by Beckhoff.
In principle, a device with a higher revision can replace a device with a lower revision, unless specified otherwise, e.g. in the documentation.
Associated and synonymous with each revision there is usually a description (ESI, EtherCAT Slave Information) in the form of an XML file, which is available for download from the Beckhoff web site.
From 2014/01 the revision is shown on the outside of the IP20 terminals, see Fig. “EL5021 EL terminal, standard IP20 IO device with batch number and revision ID (since 2014/01)”.
▪
The type, version and revision are read as decimal numbers, even if they are technically saved in hexadecimal.
Identification number
Beckhoff EtherCAT devices from the different lines have different kinds of identification numbers:
Production lot/batch number/serial number/date code/D number
The serial number for Beckhoff IO devices is usually the 8-digit number printed on the device or on a sticker. The serial number indicates the configuration in delivery state and therefore refers to a whole production batch, without distinguishing the individual modules of a batch.
Structure of the serial number: KK YY FF HH
KK - week of production (CW, calendar week)
YY - year of production
FF - firmware version
HH - hardware version
Example with
Ser. no.: 12063A02: 12 - production week 12 06 - production year 2006 3A - firmware version 3A 02 - hardware version 02
Exceptions can occur in the IP67 area, where the following syntax can be used (see respective device documentation):
Syntax: D ww yy x y z u
D - prefix designation
ww - calendar week
yy - year
x - firmware version of the bus PCB
y - hardware version of the bus PCB
z - firmware version of the I/O PCB
u - hardware version of the I/O PCB
Example: D.22081501 calendar week 22 of the year 2008 firmware version of bus PCB: 1 hardware version of bus PCB: 5 firmware version of I/O PCB: 0 (no firmware necessary for this PCB) hardware version of I/O PCB: 1
Unique serial number/ID, ID number
In addition, in some series each individual module has its own unique serial number.
See also the further documentation in the area
▪
IP67: EtherCAT Box
▪
Safety: TwinSafe
▪
Terminals with factory calibration certificate and other measuring terminals
Examples of markings
EL5021 EL terminal, standard IP20 IO device with serial/ batch number and revision ID (since 2014/01)
EK1100 EtherCAT coupler, standard IP20 IO device with serial/ batch number
CU2016 switch with serial/ batch number
EL3202-0020 with serial/ batch number 26131006 and unique ID-number 204418
EP1258-00001 IP67 EtherCAT Box with batch number/ date code 22090101 and unique serial number 158102
EP1908-0002 IP67 EtherCAT Safety Box with batch number/ date code 071201FF and unique serial number 00346070
EL2904 IP20 safety terminal with batch number/ date code 50110302 and unique serial number 00331701
ELM3604-0002 terminal with unique ID number (QR code) 100001051 and serial/ batch number 44160201
Additional information
•
Beckhoff Identification Code (BIC)


Beckhoff Identification Code (BIC)

Foreword [image] Version identification of EtherCAT devices [image] Beckhoff Identification Code (BIC)
Beckhoff Identification Code (BIC)
The Beckhoff Identification Code (BIC) is increasingly being applied to Beckhoff products to uniquely identify the product. The BIC is represented as a Data Matrix Code (DMC, code scheme ECC200), the content is based on the ANSI standard MH10.8.2-2016.
Beckhoff Identification Code
BIC as data matrix code (DMC, code scheme ECC200)
The BIC will be introduced step by step across all product groups.
Depending on the product, it can be found in the following places:
▪
on the packaging unit
▪
directly on the product (if space suffices)
▪
on the packaging unit and the product
The BIC is machine-readable and contains information that can also be used by the customer for handling and product management.
Each piece of information can be uniquely identified using the so-called data identifier (ANSI MH10.8.2-2016). The data identifier is followed by a character string. Both together have a maximum length according to the table below. If the information is shorter, spaces are added to it. The data under positions 1 to 4 are always available.
The following information is contained:
Item no. | Type of information | Explanation | Data identifier | Number of digits incl. data identifier | Example
1 | Beckhoff order number | Beckhoff order number | 1P | 8 | 1P072222
2 | Beckhoff Traceability Number (BTN) | Unique serial number, see note below | S | 12 | SBTNk4p562d7
3 | Article description | Beckhoff article description, e.g. EL1008 | 1K | 32 | 1KEL1809
4 | Quantity | Quantity in packaging unit, e.g. 1, 10, etc. | Q | 6 | Q1
5 | Batch number | Optional: Year and week of production | 2P | 14 | 2P401503180016
6 | ID/serial number | Optional: Present-day serial number system, e.g. with safety products | 51S | 12 | 51S678294104
7 | Variant number | Optional: Product variant number on the basis of standard products | 30P | 32 | 30PF971, 2*K183
... |  |  |  |  |
Further types of information and data identifiers are used by Beckhoff and serve internal processes.
Structure of the BIC
Example of composite information from item 1 to 4 and 6. The data identifiers are marked in red for better display:
BTN
An important component of the BIC is the Beckhoff Traceability Number (BTN, item no. 2). The BTN is a unique serial number consisting of eight characters that will replace all other serial number systems at Beckhoff in the long term (e.g. batch designations on IO components, previous serial number range for safety products, etc.). The BTN will also be introduced step by step, so it may happen that the BTN is not yet coded in the BIC.
Note
This information has been carefully prepared. However, the procedure described is constantly being further developed. We reserve the right to revise and change procedures and documentation at any time and without prior notice. No claims for changes can be made from the information, illustrations and descriptions in this information.


Product overview

Product overview
Product overview
Additional information
•
Introduction
•
EtherCAT P
•
Technical data
•
Start


Introduction

Product overview [image] Introduction
Introduction
EK1310 | 1-port EtherCAT P extension with feed-in
EK1310
The EK1310 EtherCAT P feed-in unit enables conversion from EtherCAT to EtherCAT P or extension of an EtherCAT P network. Terminal points are used to supply the US (system and sensor supply) and the UP (peripheral voltage for actuators) for the EtherCAT P circuit. In addition to the Run LED and the link and activity status, status LEDs indicate the state of the US and UP voltages, as well as overload and short-circuit events.
Connection
Terminal point | Description | Connector
Designation
X1 OUT | Connection for EtherCAT P network (100BASE‑TX) | M8 socket, shielded, screw type, EtherCAT P coded


EtherCAT P

Product overview [image] EtherCAT P
EtherCAT P
EtherCAT P combines communication and power in a single 4-wire standard Ethernet cable. The 24 V DC supply of the EtherCAT P slaves and the connected sensors and actors is integrated within this bus system: US (system- and Sensor supply) and UP (peripheral voltage for actors) are electrical isolated with 3 A current available for the connected components. All the benefits of EtherCAT, such as freedom in topology design, high speed, optimum bandwidth utilization, telegram processing on-the-fly, highly precise synchronization, extensive diagnostics functionality, etc. are all retained while integrating the voltages.
With EtherCAT P technology, the currents are coupled directly into the wires of the 100 Mbit line, enabling the realization of a highly cost-effective and compact connection. In order to rule out the possibility of incorrect connections to standard EtherCAT slaves and, thus possible defects, a new plug family has been specially developed for EtherCAT P. The plug family covers all applications from the 24 V I/O level up to drives with 400 V AC or 600 V DC and a current of up to 64 A.
EtherCAT P offers extensive savings potential:
▪
elimination of separate supply cables
▪
low wiring effort and significant time savings
▪
sources of error are reduced
▪
minimization of installation space for drag-chains and control cabinets
▪
smaller and tidier cable trays
▪
smaller sensors and actuators through the elimination of separate supply cables
As is typical with EtherCAT, the user benefits from the wide choice in topology and can combine line, star and tree architectures with one another in order to achieve the least expensive and best possible system layouts. Unlike the traditional Power over Ethernet (PoE), devices can also be cascaded using EtherCAT P and supplied with power from one power supply unit.
When designing a machine, the individual consumers, cable lengths and cable types are configured with tool assistance and this information is used to create the optimum layout of the EtherCAT P network. Since it is known what sensors and actuators will be connected and which ones will be operated simultaneously, the power consumption can be accounted for accordingly. For example, if two actuators never switch simultaneously from a logical point of view, they also never need the full load simultaneously. The result is further savings potential in terms of the required supplies and power supply units.


Technical data

Product overview [image] Technical data
Technical data
Technical data | EK1310
Task in the EtherCAT system | Conversion of the E-bus signals to 100BASE-TX Ethernet for extension of the EtherCAT P network
Transmission medium | EtherCAT P cable, shielded, to 100BASE-TX
Businterface | 1 x M8 socket, shielded, screw type, EtherCAT-P-coded
Cable length between two Bus Couplers | max. 75 m
Protocol / Baud rate | all EtherCAT protocols / 100 MBaud
Delay | approx. 1 µs
Configuration | not necessary
Power supply | external feed-in: 24 V DC for US and UP
Total current | max. 3 A each US and UP
Current consumption from US | typ. 3 mA
Current consumption from UP | typ. 3 mA
Current rating per port | max. 3 A each US and UP
Current consumption E-bus | typ. 110 mA
Electrical isolation | 500 V (supply voltage US / supply voltage UP / EtherCAT)
Dimensions (W x H x D) | approx. 44 mm x 100 mm x 68 mm
Weight | approx. 120 g
Permissible ambient temperature range during operation | 0°C ... +55°C
Permissible ambient temperature range during storage | -25°C ... + 85°C
Permissible relative humidity | 95%, no condensation
Mounting | on 35 mm mounting rail conforms to EN 60715
Vibration/shock resistance | conforms to EN 60068-2-6 / EN 60068-2-27, see also installation instructions for enhanced mechanical load capacity
EMC immunity/emission | conforms to EN 61000-6-2 / EN 61000-6-4
Protection class | IP20
Installation position | variable
Approval | CE


Start

Product overview [image] Start
Start
For commissioning:
▪
mount the EK1310 as described in the chapter Mounting and wiring
▪
configure the EK1310 in TwinCAT as described in chapter Parameterization and commissioning.


Basics communication

Basics communication
Basics communication
Additional information
•
System properties
•
EtherCAT basics
•
EtherCAT State Machine
•
CoE - Interface: notes
•
Distributed Clock
•
EtherCAT P Box modules


System properties

Basics communication [image] System properties
System properties
Protocol
The EtherCAT protocol is optimized for process data and is transported directly within the Ethernet frame thanks to a special Ether-type. It may consist of several sub-telegrams, each serving a particular memory area of the logical process images that can be up to 4 gigabytes in size. The data sequence is independent of the physical order of the Ethernet terminals in the network; addressing can be in any order. Broadcast, Multicast and communication between slaves are possible. Transfer directly in the Ethernet frame is used in cases where EtherCAT components are operated in the same subnet as the control computer.
However, EtherCAT applications are not limited to a subnet: EtherCAT UDP packs the EtherCAT protocol into UDP/IP datagrams. This enables any control with Ethernet protocol stack to address EtherCAT systems. Even communication across routers into other subnets is possible. In this variant, system performance obviously depends on the real-time characteristics of the control and its Ethernet protocol implementation. The response times of the EtherCAT network itself are hardly restricted at all: the UDP datagram only has to be unpacked in the first station.
EtherCAT Telegram Structure
Protocol structure: The process image allocation is freely configurable. Data are copied directly in the I/O terminal to the desired location within the process image: no additional mapping is required. The available logical address space is with very large (4 GB).
Topology
Line, tree or star: EtherCAT supports almost any topology. The bus or line structure known from the fieldbuses thus also becomes available for Ethernet. Particularly useful for system wiring is the combination of line and junctions or stubs. The required interfaces exist on the couplers; no additional switches are required. Naturally, the classic switch-based Ethernet star topology can also be used.
EtherCAT Topology
Maximum wiring flexibility:
with or without switch, line or tree topologies, can be freely selected and combined.
Wiring flexibility is further maximized through the choice of different cables. Flexible and cost-effective standard Ethernet patch cables transfer the signals in Ethernet mode (100Base-TX). The complete bandwidth of the Ethernet network - such as different optical fibers and copper cables - can be used in combination with switches or media converters.
Distributed Clocks
Accurate synchronization is particularly important in cases where spatially distributed processes require simultaneous actions. This may be the case, for example, in applications where several servo axes carry out coordinated movements simultaneously.
The most powerful approach for synchronization is the accurate alignment of distributed clocks, as described in the new IEEE 1588 standard. In contrast to fully synchronous communication, where synchronization quality suffers immediately in the event of a communication fault, distributed aligned clocks have a high degree of tolerance vis-à-vis possible fault-related delays within the communication system.
With EtherCAT, the data exchange is fully based on a pure hardware machine. Since the communication utilizes a logical (and thanks to full-duplex Fast Ethernet also physical) ring structure, the mother clock can determine the run-time offset to the individual daughter clocks simply and accurately - and vice versa. The distributed clocks are adjusted based on this value, which means that a very precise network-wide timebase with a jitter of significantly less than 1 microsecond is available.
However, high-resolution distributed clocks are not only used for synchronization, but can also provide accurate information about the local timing of the data acquisition. For example, controls frequently calculate velocities from sequentially measured positions. Particularly with very short sampling times, even a small temporal jitter in the displacement measurement leads to large step changes in velocity. With EtherCAT new, extended data types are introduced as a logical extension (time stamp and oversampling data type). The local time is linked to the measured value with a resolution of up to 10 ns, which is made possible by the large bandwidth offered by Ethernet. The accuracy of a velocity calculation then no longer depends on the jitter of the communication system. It is orders of magnitude better than that of measuring techniques based on jitter-free communication.
Performance
EtherCAT reaches new dimensions in network performance. Protocol processing is purely hardware-based through an FMMU chip in the terminal and DMA access to the network card of the master. It is thus independent of protocol stack run-times, CPU performance and software implementation. The update time for 1000 I/Os is only 30 µs - including terminal cycle time. Up to 1486 bytes of process data can be exchanged with a single Ethernet frame - this is equivalent to almost 12000 digital inputs and outputs. The transfer of this data quantity only takes 300 µs.
The communication with 100 servo axes only takes 100 µs. During this time, all axes are provided with set values and control data and report their actual position and status. Distributed clocks enable the axes to be synchronized with a deviation of significantly less than 1 microsecond.
The extremely high performance of the EtherCAT technology enables control concepts that could not be realized with classic fieldbus systems. For example, the Ethernet system can now not only deal with velocity control, but also with the current control of distributed drives. The tremendous bandwidth enables status information to be transferred with each data item. With EtherCAT, a communication technology is available that matches the superior computing power of modern Industrial PCs. The bus system is no longer the bottleneck of the control concept. Distributed I/Os are recorded faster than is possible with most local I/O interfaces. The EtherCAT technology principle is scalable and not bound to the baud rate of 100 Mbaud – extension to Gbit Ethernet is possible.
Diagnostics
Experience with fieldbus systems shows that availability and commissioning times crucially depend on the diagnostic capability. Only faults that are detected quickly and accurately and which can be precisely located can be corrected quickly. Therefore, special attention was paid to exemplary diagnostic features during the development of EtherCAT.
During commissioning, the actual configuration of the I/O terminals should be checked for consistency with the specified configuration. The topology should also match the saved configuration. Due to the built-in topology recognition down to the individual terminals, this verification can not only take place during system start-up, automatic reading in of the network is also possible (configuration upload).
Bit faults during the transfer are reliably detected through evaluation of the CRC checksum: The 32 bit CRC polynomial has a minimum hamming distance of 4. Apart from breaking point detection and localization, the protocol, physical transfer behavior and topology of the EtherCAT system enable individual quality monitoring of each individual transmission segment. The automatic evaluation of the associated error counters enables precise localization of critical network sections. Gradual or changing sources of error such as EMC influences, defective push-in connectors or cable damage are detected and located, even if they do not yet overstrain the self-healing capacity of the network.
Integration of standard Bus Terminals from Beckhoff
In addition to the new Bus Terminals with E-Bus connection (ELxxxx), all Bus Terminals from the familiar standard range with K-bus connection (KLxxxx) can be connected via the BK1120 or BK1250 Bus Coupler. This ensures compatibility and continuity with the existing Beckhoff Bus Terminal systems. Existing investments are protected.


EtherCAT basics

Basics communication [image] EtherCAT basics
EtherCAT basics
Please refer to the EtherCAT System Documentation for the EtherCAT fieldbus basics.


EtherCAT State Machine

Basics communication [image] EtherCAT State Machine
EtherCAT State Machine
The state of the EtherCAT slave is controlled via the EtherCAT State Machine (ESM). Depending upon the state, different functions are accessible or executable in the EtherCAT slave. Specific commands must be sent by the EtherCAT master to the device in each state, particularly during the bootup of the slave.
A distinction is made between the following states:
▪
Init
▪
Pre-Operational
▪
Safe-Operational and
▪
Operational
▪
Boot
The regular state of each EtherCAT slave after bootup is the OP state.
States of the EtherCAT State Machine
Init
After switch-on the EtherCAT slave in the Init state. No mailbox or process data communication is possible. The EtherCAT master initializes sync manager channels 0 and 1 for mailbox communication.
Pre-Operational (Pre-Op)
During the transition between Init and Pre-Op the EtherCAT slave checks whether the mailbox was initialized correctly.
In Pre-Op state mailbox communication is possible, but not process data communication. The EtherCAT master initializes the sync manager channels for process data (from sync manager channel 2), the FMMU channels and, if the slave supports configurable mapping, PDO mapping or the sync manager PDO assignment. In this state the settings for the process data transfer and perhaps terminal-specific parameters that may differ from the default settings are also transferred.
Safe-Operational (Safe-Op)
During transition between Pre-Op and Safe-Op the EtherCAT slave checks whether the sync manager channels for process data communication and, if required, the distributed clocks settings are correct. Before it acknowledges the change of state, the EtherCAT slave copies current input data into the associated DP-RAM areas of the EtherCAT slave controller (ECSC).
In Safe-Op state mailbox and process data communication is possible, although the slave keeps its outputs in a safe state, while the input data are updated cyclically.
Outputs in SAFEOP state
The default set watchdog monitoring sets the outputs of the module in a safe state - depending on the settings in SAFEOP and OP - e.g. in OFF state. If this is prevented by deactivation of the watchdog monitoring in the module, the outputs can be switched or set also in the SAFEOP state.
Operational (Op)
Before the EtherCAT master switches the EtherCAT slave from Safe-Op to Op it must transfer valid output data.
In the Op state the slave copies the output data of the masters to its outputs. Process data and mailbox communication is possible.
Boot
In the Boot state the slave firmware can be updated. The Boot state can only be reached via the Init state.
In the Boot state mailbox communication via the file access over EtherCAT (FoE) protocol is possible, but no other mailbox communication and no process data communication.


CoE - Interface: notes

Basics communication [image] CoE - Interface: notes
CoE - Interface: notes
This device has no CoE.
Detailed information on the CoE interface can be found in the EtherCAT system documentation on the Beckhoff website.


Distributed Clock

Basics communication [image] Distributed Clock
Distributed Clock
The distributed clock represents a local clock in the EtherCAT slave controller (ESC) with the following characteristics:
▪
Unit 1 ns
▪
Zero point 1.1.2000 00:00
▪
Size 64 bit (sufficient for the next 584 years; however, some EtherCAT slaves only offer 32-bit support, i.e. the variable overflows after approx. 4.2 seconds)
▪
The EtherCAT master automatically synchronizes the local clock with the master clock in the EtherCAT bus with a precision of < 100 ns.
For detailed information please refer to the EtherCAT system description.


EtherCAT P Box modules

Basics communication [image] EtherCAT P Box modules
EtherCAT P Box modules
EtherCAT P
EtherCAT P supplements the EtherCAT technology with a process in which communication and supply voltages are transmitted on a common line. All EtherCAT properties are retained with this process.
Two supply voltages are transmitted per EtherCAT P line. The supply voltages are electrically isolated from each other and can therefore be switched individually. The nominal supply voltage for both is 24 VDC.
EtherCAT P uses the same cable structure as EtherCAT, i.e. a four-wire Ethernet cable with M8 connectors. The connectors are mechanically coded so that EtherCAT connectors and EtherCAT P connectors cannot be interchanged.
EtherCAT P Box modules
EtherCAT P Box modules are EtherCAT P slaves with IP67 protection. They are designed for operation in wet, dirty or dusty industrial environments.
EtherCAT P Einführung
EtherCAT P
Basic EtherCAT documentation
You will find a detailed description of the EtherCAT system in the Basic System Documentation for EtherCAT, which is available for download from our website (www.beckhoff.com) under Downloads.


Mounting and wiring

Mounting and wiring
Mounting and wiring
Additional information
•
Installation on mounting rails
•
Installation instructions for enhanced mechanical load capacity
•
Installation positions
•
Connection system
•
Positioning of passive Terminals
•
ATEX - Special conditions (standard temperature range)
•
ATEX Documentation
•
Connection EK1310
•
EtherCAT P connection
•
Nut torque for connectors
•
Cabling
•
EtherCAT P cable conductor losses M8


Installation on mounting rails

Mounting and wiring [image] Installation on mounting rails
Installation on mounting rails
SmallWarningYellow WARNING
Risk of electric shock and damage of device!
Bring the bus terminal system into a safe, powered down state before starting installation, disassembly or wiring of the bus terminals!
Assembly
Attaching on mounting rail
The bus coupler and bus terminals are attached to commercially available 35 mm mounting rails (DIN rails according to EN 60715) by applying slight pressure:
1.
First attach the fieldbus coupler to the mounting rail.
2.
The bus terminals are now attached on the right-hand side of the fieldbus coupler. Join the components with tongue and groove and push the terminals against the mounting rail, until the lock clicks onto the mounting rail.
If the terminals are clipped onto the mounting rail first and then pushed together without tongue and groove, the connection will not be operational! When correctly assembled, no significant gap should be visible between the housings.
Fixing of mounting rails
The locking mechanism of the terminals and couplers extends to the profile of the mounting rail. At the installation, the locking mechanism of the components must not come into conflict with the fixing bolts of the mounting rail. To mount the mounting rails with a height of 7.5 mm under the terminals and couplers, you should use flat mounting connections (e.g. countersunk screws or blind rivets).
Disassembly
Disassembling of terminal
Each terminal is secured by a lock on the mounting rail, which must be released for disassembly:
1.
Pull the terminal by its orange-colored lugs approximately 1 cm away from the mounting rail. In doing so for this terminal the mounting rail lock is released automatically and you can pull the terminal out of the bus terminal block easily without excessive force.
2.
Grasp the released terminal with thumb and index finger simultaneous at the upper and lower grooved housing surfaces and pull the terminal out of the bus terminal block.
Connections within a bus terminal block
The electric connections between the Bus Coupler and the Bus Terminals are automatically realized by joining the components:
▪
The six spring contacts of the K-Bus/E-Bus deal with the transfer of the data and the supply of the Bus Terminal electronics.
▪
The power contacts deal with the supply for the field electronics and thus represent a supply rail within the bus terminal block. The power contacts are supplied via terminals on the Bus Coupler (up to 24 V) or for higher voltages via power feed terminals.
Power Contacts
During the design of a bus terminal block, the pin assignment of the individual Bus Terminals must be taken account of, since some types (e.g. analog Bus Terminals or digital 4-channel Bus Terminals) do not or not fully loop through the power contacts. Power Feed Terminals (KL91xx, KL92xx or EL91xx, EL92xx) interrupt the power contacts and thus represent the start of a new supply rail.
PE power contact
The power contact labeled PE can be used as a protective earth. For safety reasons this contact mates first when plugging together, and can ground short-circuit currents of up to 125 A.
Power contact on left side
Note
Possible damage of the device
Note that, for reasons of electromagnetic compatibility, the PE contacts are capacitatively coupled to the mounting rail. This may lead to incorrect results during insulation testing or to damage on the terminal (e.g. disruptive discharge to the PE line during insulation testing of a consumer with a nominal voltage of 230 V). For insulation testing, disconnect the PE supply line at the Bus Coupler or the Power Feed Terminal! In order to decouple further feed points for testing, these Power Feed Terminals can be released and pulled at least 10 mm from the group of terminals.
SmallWarningYellow WARNING
Risk of electric shock!
The PE power contact must not be used for other potentials!


Installation instructions for enhanced mechanical load capacity

Mounting and wiring [image] Installation instructions for enhanced mechanical load capacity
Installation instructions for enhanced mechanical load capacity
SmallWarningYellow WARNING
Risk of injury through electric shock and damage to the device!
Bring the Bus Terminal system into a safe, de-energized state before starting mounting, disassembly or wiring of the Bus Terminals!
Additional checks
The terminals have undergone the following additional tests:
Verification | Explanation
Vibration | 10 frequency runs in 3 axes
 | 6 Hz < f < 60 Hz displacement 0.35 mm, constant amplitude
 | 60.1 Hz < f < 500 Hz acceleration 5 g, constant amplitude
Shocks | 1000 shocks in each direction, in 3 axes
 | 25 g, 6 ms
Additional installation instructions
For terminals with enhanced mechanical load capacity, the following additional installation instructions apply:
▪
The enhanced mechanical load capacity is valid for all permissible installation positions
▪
Use a mounting rail according to EN 60715 TH35-15
▪
Fix the terminal segment on both sides of the mounting rail with a mechanical fixture, e.g. an earth terminal or reinforced end clamp
▪
The maximum total extension of the terminal segment (without coupler) is:
64 terminals (12 mm mounting with) or 32 terminals (24 mm mounting with)
▪
Avoid deformation, twisting, crushing and bending of the mounting rail during edging and installation of the rail
▪
The mounting points of the mounting rail must be set at 5 cm intervals
▪
Use countersunk head screws to fasten the mounting rail
▪
The free length between the strain relief and the wire connection should be kept as short as possible. A distance of approx. 10 cm should be maintained to the cable duct.


Installation positions

Mounting and wiring [image] Installation positions
Installation positions
Note
Constraints regarding installation position and operating temperature range
Please refer to the technical data for a terminal to ascertain whether any restrictions regarding the installation position and/or the operating temperature range have been specified. When installing high power dissipation terminals ensure that an adequate spacing is maintained between other components above and below the terminal in order to guarantee adequate ventilation!
Optimum installation position (standard)
The optimum installation position requires the mounting rail to be installed horizontally and the connection surfaces of the EL/KL terminals to face forward (see Fig. “Recommended distances for standard installation position”). The terminals are ventilated from below, which enables optimum cooling of the electronics through convection. "From below" is relative to the acceleration of gravity.
Recommended distances for standard installation position
Compliance with the distances shown in Fig. “Recommended distances for standard installation position” is recommended.
Other installation positions
All other installation positions are characterized by different spatial arrangement of the mounting rail - see Fig “Other installation positions”.
The minimum distances to ambient specified above also apply to these installation positions.
Other installation positions


Connection system

Mounting and wiring [image] Connection system
Connection system
SmallWarningYellow WARNING
Risk of electric shock and damage of device!
Bring the bus terminal system into a safe, powered down state before starting installation, disassembly or wiring of the Bus Terminals!
Overview
The Bus Terminal system offers different connection options for optimum adaptation to the respective application:
▪
The terminals of KLxxxx and ELxxxx series with standard wiring include electronics and connection level in a single enclosure.
▪
The terminals of KSxxxx and ESxxxx series feature a pluggable connection level and enable steady wiring while replacing.
▪
The High Density Terminals (HD Terminals) include electronics and connection level in a single enclosure and have advanced packaging density.
Standard wiring
Standard wiring
The terminals of KLxxxx and ELxxxx series have been tried and tested for years.
They feature integrated screwless spring force technology for fast and simple assembly.
Pluggable wiring
Pluggable wiring
The terminals of KSxxxx and ESxxxx series feature a pluggable connection level.
The assembly and wiring procedure for the KS series is the same as for the KLxxxx and ELxxxx series.
The KS/ES series terminals enable the complete wiring to be removed as a plug connector from the top of the housing for servicing.
The lower section can be removed from the terminal block by pulling the unlocking tab.
Insert the new component and plug in the connector with the wiring. This reduces the installation time and eliminates the risk of wires being mixed up.
The familiar dimensions of the terminal only had to be changed slightly. The new connector adds about 3 mm. The maximum height of the terminal remains unchanged.
A tab for strain relief of the cable simplifies assembly in many applications and prevents tangling of individual connection wires when the connector is removed.
Conductor cross sections between 0.08 mm2 and 2.5 mm2 can continue to be used with the proven spring force technology.
The overview and nomenclature of the product names for KSxxxx and ESxxxx series has been retained as known from KLxxxx and ELxxxx series.
High Density Terminals (HD Terminals)
High Density Terminals
The Bus Terminals from these series with 16 connection points are distinguished by a particularly compact design, as the packaging density is twice as large as that of the standard 12 mm Bus Terminals. Massive conductors and conductors with a wire end sleeve can be inserted directly into the spring loaded terminal point without tools.
Wiring HD Terminals
The High Density (HD) Terminals of the KLx8xx and ELx8xx series doesn't support steady wiring.
Ultrasonically "bonded" (ultrasonically welded) conductors
Ultrasonically “bonded" conductors
It is also possible to connect the Standard and High Density Terminals with ultrasonically "bonded" (ultrasonically welded) conductors. In this case, please note the tables concerning the wire-size width below!
Wiring
Terminals for standard wiring ELxxxx/KLxxxx and for pluggable wiring ESxxxx/KSxxxx
Mounting a cable on a terminal connection
Up to eight connections enable the connection of solid or finely stranded cables to the Bus Terminals. The terminals are implemented in spring force technology. Connect the cables as follows:
1.
Open a spring-loaded terminal by slightly pushing with a screwdriver or a rod into the square opening above the terminal.
2.
The wire can now be inserted into the round terminal opening without any force.
3.
The terminal closes automatically when the pressure is released, holding the wire securely and permanently.
Terminal housing | ELxxxx, KLxxxx | ESxxxx, KSxxxx
Wire size width | 0.08 ... 2,5 mm2 | 0.08 ... 2.5 mm2
Wire stripping length | 8 ... 9 mm | 9 ... 10 mm
High Density Terminals ELx8xx, KLx8xx (HD)
The conductors of the HD Terminals are connected without tools for single-wire conductors using the direct plug-in technique, i.e. after stripping the wire is simply plugged into the contact point. The cables are released, as usual, using the contact release with the aid of a screwdriver. See the following table for the suitable wire size width.
Terminal housing | High Density Housing
Wire size width (conductors with a wire end sleeve) | 0.14 ... 0.75 mm2
Wire size width (single core wires) | 0.08 ... 1.5 mm2
Wire size width (fine-wire conductors) | 0.25 ... 1.5 mm2
Wire size width (ultrasonically “bonded" conductors) | only 1.5 mm2 (see notice!)
Wire stripping length | 8 ... 9 mm
Shielding
Shielding
Analog sensors and actors should always be connected with shielded, twisted paired wires.


Positioning of passive Terminals

Mounting and wiring [image] Positioning of passive Terminals
Positioning of passive Terminals
Hint for positioning of passive terminals in the bus terminal block
EtherCAT Terminals (ELxxxx / ESxxxx), which do not take an active part in data transfer within the bus terminal block are so called passive terminals. The passive terminals have no current consumption out of the E-Bus.
To ensure an optimal data transfer, you must not directly string together more than 2 passive terminals!
Examples for positioning of passive terminals (highlighted)
Correct positioning
Incorrect positioning


ATEX - Special conditions (standard temperature range)

Mounting and wiring [image] ATEX - Special conditions (standard temperature range)
ATEX - Special conditions (standard temperature range)
SmallWarningYellow WARNING
Observe the special conditions for the intended use of Beckhoff fieldbus components with standard temperature range in potentially explosive areas (directive 2014/34/EU)!
•
The certified components are to be installed in a suitable housing that guarantees a protection class of at least IP54 in accordance with EN 60079-15! The environmental conditions during use are thereby to be taken into account!
•
If the temperatures during rated operation are higher than 70°C at the feed-in points of cables, lines or pipes, or higher than 80°C at the wire branching points, then cables must be selected whose temperature data correspond to the actual measured temperature values!
•
Observe the permissible ambient temperature range of 0 to 55°C for the use of Beckhoff fieldbus components standard temperature range in potentially explosive areas!
•
Measures must be taken to protect against the rated operating voltage being exceeded by more than 40% due to short-term interference voltages!
•
The individual terminals may only be unplugged or removed from the Bus Terminal system if the supply voltage has been switched off or if a non-explosive atmosphere is ensured!
•
The connections of the certified components may only be connected or disconnected if the supply voltage has been switched off or if a non-explosive atmosphere is ensured!
•
The fuses of the KL92xx/EL92xx power feed terminals may only be exchanged if the supply voltage has been switched off or if a non-explosive atmosphere is ensured!
•
Address selectors and ID switches may only be adjusted if the supply voltage has been switched off or if a non-explosive atmosphere is ensured!
Standards
The fundamental health and safety requirements are fulfilled by compliance with the following standards:
▪
EN 60079-0:2012+A11:2013
▪
EN 60079-15:2010
Marking
The Beckhoff fieldbus components with standard temperature range certified according to the ATEX directive for potentially explosive areas bear one of the following markings:
II 3G KEMA 10ATEX0075 X Ex nA IIC T4 Gc Ta: 0 … +55°C
or
II 3G KEMA 10ATEX0075 X Ex nC IIC T4 Gc Ta: 0 … +55°C


ATEX Documentation

Mounting and wiring [image] ATEX Documentation
ATEX Documentation
Notes about operation of the Beckhoff terminal systems in potentially explosive areas (ATEX)
Pay also attention to the continuative documentation

Notes about operation of the Beckhoff terminal systems in potentially explosive areas (ATEX)

that is available in the download area of the Beckhoff homepage http:\\www.beckhoff.com!


Connection EK1310

Mounting and wiring [image] Connection EK1310
Connection EK1310
EK1310 feed-in connections
Terminal point |  | Description
Name | No.
24V | 1 | +Feed-In Us (24 V System- and Sensor supply)
+ | 2 | +Feed-In Peripheral voltage for Actors UP (internal connected with terminal point 6)
- | 3 | -Feed-In Peripheral voltage for Actors UP (internal connected with terminal point 7)
n.c. | 4 | not connected
0V | 5 | 0 V of System- and Sensor supply Us
+ | 6 | +Feed-In Peripheral voltage for Actors UP (internal connected with terminal point 2)
- | 7 | -Feed-In Peripheral voltage for Actors UP (internal connected with terminal point 3)
n.c. | 8 | not connected


EtherCAT P connection

Mounting and wiring [image] EtherCAT P connection
EtherCAT P connection
Note
Risk of damage to the device!
Bring the EtherCAT/EtherCAT P system into a safe, powered down state before starting installation, disassembly or wiring of the modules!
The feeding and forwarding of EtherCAT P is done via two EtherCAT-P-coded M8 connectors at the top of the modules:
▪
IN: left M8 connector with EtherCAT-P-coding for feeding EtherCAT P
▪
OUT: right M8 connector with EtherCAT P for forwarding the supply voltages
EtherCAT P Anschluss und Weiterleitung
EtherCAT-P-Box, Connectors for EtherCAT P
EtherCAT P Buchse Front
Pin assignment M8, EtherCAT P In and EtherCAT P Out
The pins M8 connectors carry a maximum current of 3 A.
Two LEDs display the status of the supply voltages.
Pin assignment
Contact | Signal | Voltage | Core colors1)
1 | Tx + | GNDS | yellow
2 | Rx + | GNDP | white
3 | Rx - | UP: Peripheral voltage, +24 VDC | blue
4 | Tx - | US: control voltage +24 VDC | orange
Housing | Shield | Shield | Shield
1) The core colors apply to EtherCAT P cables and ECP cables from Beckhoff.
Control voltage US 24 VDC
Power is supplied to the fieldbus, the processor logic, the inputs and the sensors from the 24 VDC control voltage US.
Auxiliary voltage Up 24 VDC
The Auxiliary voltage UP supplies the digital outputs; it can be brought in separately. If the load voltage is switched off, the fieldbus functions and the power supply and functionality of the inputs are retained.
Note
Pay attention to the maximum permissible current!
Pay attention also for the redirection of EtherCAT P, the maximum permissible current for M8 connectors of 3 A must not be exceeded!


Nut torque for connectors

Mounting and wiring [image] Nut torque for connectors
Nut torque for connectors
M8 EtherCAT P connector
For mounting of the M8 EtherCAT P connector the following have to be noticed:
M8 connectors
It is recommended to pull the M8 connectors tight with a nut torque of 0.4 Nm. When using the torque control screwdriver ZB8800 is also a max. torque of 0.5 Nm permissible.
EtherCAT Box with M8 connectors


Cabling

Mounting and wiring [image] Cabling
Cabling
A list of EtherCAT P cables, EtherCAT cables, power cables, sensor cables, Ethernet/EtherCAT connectors and field-configurable connectors can be found under the following link: https://beckhoff.de/english/ethercat-box/ethercat_box_cables.htm
You can find the corresponding data sheets at the following link: https://beckhoff.de/english/downloadfinder/default.htm?id=109075571109075577&cat1=40717316&cat2=90800914
EtherCAT P cable
For the EtherCAT P connection are pre-assembled M8 cables in various lengths and the versions: plug – open end, plug – plug or plug - socket available.
Verkabelung EtherCAT P M8
EtherCAT P cable: ZK700x-0100-0xxx, ZK700x-0101-0xxx and ZK700x-0102-0xxx
For connecting EtherCAT P devices only shielded Ethernet cables that meet the requirements of at least category 5 (CAT5) according to EN 50173 or ISO/IEC 11801 should be used.
Recommendations about cabling
You may get detailed recommendations about cabling EtherCAT from the documentation "Infrastructure for EtherCAT/Ethernet", that is available for download at www.Beckhoff.com.
EtherCAT-P-Box-accessories
Number | Description | Link
1 | Cables for EtherCAT signal in- and -output | RJ45 EtherCAT/Ethernet cable
2 | Cables for EtherCAT P: Ultra-fast Communication and Power in One Cable | M8 EtherCAT P cable
3 | Cables for EtherCAT signal in- and -output | M8 EtherCAT cable
4 | Cables for M8 power supply | M8 Power cable
5 | Cables for M8 I/O connection sockets | M8 Sensor cable
6 | Cables for M12 I/O connection sockets | M12 Sensor cable
7 | Shielded cables for M12 I/O connection sockets | M12 Sensor cable, shielded
EtherCAT P connectors for field assembly
For EtherCAT P are field installable M8 connectors as plug and as socket available.
feldkonfektionierbare Steckverbinder EtherCAT P
EtherCAT P: field assembly connectors
Sensor cable
Sensorkabel - Beckhoff.png
Selection of different Sensor cables from Beckhoff


EtherCAT P cable conductor losses M8

Mounting and wiring [image] EtherCAT P cable conductor losses M8
EtherCAT P cable conductor losses M8
When using ZK700x-xxxx-0xxx EtherCAT P cables it must be ensured that the voltage at the last device is not less than the minimum rated voltage of 20.4 V according to the standard. Variations in the output voltage from the power supply unit must also be taken into account. This ensures that the connected consumers, sensors and actuators are operated within the permitted voltage range.
The voltage calculation tool integrated in TwinCAT can be used for the offline calculation of the cable lengths.
The EPP9022-0060 box with diagnostics can be used for checking during operation.
Conductor losses on the EtherCAT P cables
Voltage drop EtherCAT P.png
Conductor losses on the EtherCAT P cables
Example
A 10 meter-long EtherCAT P cable with a cross section of 0.34 mm² has a voltage drop of ∼3.0 V with a load of 3 A.


Commissioning

Commissioning
Commissioning
Additional information
•
EK1310 - Configuration by means of the TwinCAT System Manager


EK1310 - Configuration by means of the TwinCAT System Manager

Commissioning [image] EK1310 - Configuration by means of the TwinCAT System Manager
EK1310 - Configuration by means of the TwinCAT System Manager
TwinCAT tree
Enter the EK1310 EtherCAT P extension as an EtherCAT device in the TwinCAT System Manager in Config mode under Devices. Any Terminals already connected to the network can also be read. This will cause all the Bus Couplers with Bus Terminals and their configurations to be loaded. You can then adapt these to meet your requirements.
TwinCAT tree EK1310
Meaning of the PDO identifier
PDO identifier | Typ | State | Description
Status UP (Undervoltage) | Bit | 0 | Peripheral voltage for Actors UP >= 19.4 V, no overload/ no case of shortcut
 |  | 1 | Peripheral voltage for Actors UP < 19.4 V or overload/ case of shortcut (output current > 3 A)
Status US (Undervoltage) | Bit | 0 | System- and Sensor supply US >= 19.4 V, no overload/ no case of shortcut
 |  | 1 | System- and Sensor supply US < 19.4 V or overload/ case of shortcut (output current > 3 A)
WcState | Bit | 0/1 | Each datagram of the device indicates its processing state here. This allows monitoring for correct process data communication.
InputToggle | Bit | 0/1 | Toggles whenever new valid EtherCAT telegram was received
State | UINT | - | Status display of the “EtherCAT state machine” (see State, Online tab)
EtherCAT P tab
From TwinCAT 3 Build 4020 TwinCAT has the tab “EtherCAT P”. This tab contains a planning tool to calculate voltages, currents and cable lengths of EtherCAT P system. The figure below shows the tab EtherCAT P when no device is connected to the junction device (A).
No box at EP1322
Tab EtherCAT P: No device connected to junction device
Is a device connected to the junction device (A), the number/letter of the ports are displayed (see figure below, B).
One box at EPP1322
Tab EtherCAT P: One device connected to junction device
Are three devices connected to the three ports of the junction device (A), the ports are displayed (B) as shown in the figure below.
EtherCAT P tab 3 boxes at 3 ports
Tab EtherCAT P: Three devices connected to junction device
How you can see the topology of your EtherCAT P system in TwinCAT, is described here.
Port | Identification of the ports with numbers / letters as described before
Wire Gauge | Selection of the wire cross-sectional area of the cable which is to be used AWG 22 = 0.34 mm² AWG 24 = 0.22 mm² AWG 26 = 0.14 mm²
Length (m) | Indication of the cable length which is to be used
Check EtherCAT P system | At least one device is connected to the controller, the connected EtherCAT P system can be checked.
Type | Listing of two voltages: Box supply US, Auxiliary voltage UP
Actual Voltage (V) | The respective voltage at which the system is powered, can be entered manually. The default setting is 24.00 V.
Min. Voltage (V) | The minimum voltage is preset by the device and described in the ESI file. The EtherCAT P system is to be interpreted after this voltage. It is valid not to fall short this voltage.
Internal Load (A) | The current which consume the device is read from the ESI file of the respective box.
Load (A) | The total consumption of the connected sensors / actuators at the device can be specified here,e.g. 100 mA.
Load Type | The characteristic of the load which is connected to the devices can be selected here. Which of the three options is right for the connected load (Sw regulator, LDO, Resistor), must be taken from the datasheet. In case of doubt please select the default value “Sw Regulator”. Sw Regulator: Switching regulators, consume more energy and therefore require an efficient power supply. LDO: Low drop voltage regulator, the energy demand is often small and the heat dissipation is not a problem, e.g. proximity sensor. Resistor: electronic, passive components e.g. relay, coil
If you click on the button “Check EtherCAT P System”, all devices that are attached to your TwinCAT tree are listed as shown in the following figure.
Check EtherCAT P System 1
Check EtherCAT P System
Check US, Check UP | Selecting which of the two voltages is to be checked.
Name | Designation of the in TwinCAT tree attached devices.
Supply Voltage (V) | Voltage at which the device is provided. For device 1, the voltage can be entered manually.
Min Voltage (V) | See description above.
Input Resistance (Ω) | Input resistance, which is calculated over the cable length and cable cross-section.
Current (A) | Display for the current.
Load (A) | See description above.
Cable Length (m) | The used cable length must be entered manually.
Wire Gauge | See description above.
Example with problem case and troubleshooting
The following figure shows the planning of the EtherCAT P system without a problem. All voltages in the column “Supply Voltage (V)” are highlighted in green.
Check EtherCAT P System Fehlerfall behoben
Check EtherCAT P system without problem
The following figure shows the planning of the EtherCAT P system with a problem. The “Supply Voltage (V)” of Box 5 drops below the “Min. voltage (V)”. The corresponding field is highlighted in red. The error occurs because longer cables (adjustable in Cable Length (m)) and also AWG 24 instead of AWG 22 cables (adjustable in Wire Gauge) be used.
Check EtherCAT P System Fehlerfall
Check EtherCAT P System with problem
This area offers the following three options to adjust the system so that there is no error:
Provide a higher voltage: There are max. 28.8 V possible.
Use an EtherCAT P cable with a larger wire cross sectional area (AWG 22 instead of AWG 24).
New voltage feed.
State, "Online" tab
Indicates the online status of the terminal.
State, "Online" tab
Value | Description
0x___1 | Slave in 'INIT' state
0x___2 | Slave in 'PREOP' state
0x___3 | Slave in 'BOOT' state
0x___4 | Slave in 'SAFEOP' state
0x___8 | Slave in 'OP' state
0x001_ | Slave signals error
0x002_ | Invalid vendorId, productCode... read
0x004_ | Initialization error occurred
0x010_ | Slave not present
0x020_ | Slave signals link error
0x040_ | Slave signals missing link
0x080_ | Slave signals unexpected link
0x100_ | Communication port A
0x200_ | Communication port B
0x400_ | Communication port C
0x800_ | Communication port D
Topology of the EtherCAT P system
You can view the topology of your EtherCAT P system, as described in the figure below:
A: Click in the TwinCAT tree on „Device1 (EtherCAT)“
B: Click on tab „EtherCAT“
C: Click on button „Topology“
D: The topology of your EtherCAT P system is displayed. Here as example: Three devices are connected to the three ports of the distributor device.
Topology 3 Boxes at 3 ports way
Topology of the EtherCAT P system


Error handling and diagnostics

Error handling and diagnostics
Error handling and diagnostics
Additional information
•
Diagnostic LED


Diagnostic LED

Error handling and diagnostics [image] Diagnostic LED
Diagnostic LED
EK1310 LEDs
LEDs for fieldbus diagnostics
LED |  | Display | State | Description
L/A E-Bus | green | off | - | No connection internal E-bus
 |  | on | linked | Connection internal E-bus (Preceding terminal pass through E‑bus)
 |  | flashing | active | Connection/ Communication internal E-bus (Preceding terminal pass through E‑bus)
X1 L/A (out) | green | off | - | no connection on the subsequent EtherCAT P strand
 |  | on | linked | Subsequent EtherCAT P device connected
 |  | flashing | active | Communication with subsequent EtherCAT P device
LED for power supply diagnosis
LED |  | Display | State | Description
US 24V | green | off |  | System- and Sensor supply US not present
 |  | on |  | System- and Sensor supply US present
UP 24V | green | off |  | Peripheral voltage for Actors UP not present
 |  | on |  | Peripheral voltage for Actors UP present
Diag UP | red | off |  | Peripheral voltage for Actors UP >= 19.4 V, no overload/ no case of shortcut
 |  | on |  | Peripheral voltage for Actors UP < 19.4 V or overload/ case of shortcut (output current > 3 A)
Diag US | red | off |  | System- and Sensor supply US >= 19.4 V, no overload/ no case of shortcut
 |  | on |  | System- and Sensor supply US < 19.4 V or overload/ case of shortcut (output current > 3 A)
LED diagnostics EtherCAT State Machine
LED | Color | Meaning
RUN | green | This LED indicates the terminal's operating state:
 |  | off | State of the EtherCAT State Machine: INIT = initialization of the terminal
 |  | flashing uniformly | State of the EtherCAT State Machine: PREOP = function for mailbox communication and different standard-settings set
 |  | flashing slowly | State of the EtherCAT State Machine: SAFEOP = verification of the sync manager channels and the distributed clocks. Outputs remain in safe state
 |  | on | State of the EtherCAT State Machine: OP = normal operating state; mailbox and process data communication is possible
 |  | flashing rapidly | State of the EtherCAT State Machine: BOOTSTRAP = function for terminal firmware updates


Appendix

Appendix
Appendix
Additional information
•
EtherCAT AL Status Codes
•
Firmware compatibility
•
Firmware Update EL/ES/EM/ELM/EPxxxx
•
Support and Service


EtherCAT AL Status Codes

Appendix [image] EtherCAT AL Status Codes
EtherCAT AL Status Codes
For detailed information please refer to the EtherCAT system description.


Firmware compatibility

Appendix [image] Firmware compatibility
Firmware compatibility
The EK1310 has no firmware.


Firmware Update EL/ES/EM/ELM/EPxxxx

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx
Firmware Update EL/ES/EM/ELM/EPxxxx
This section describes the device update for Beckhoff EtherCAT slaves from the EL/ES, ELM, EM, EK and EP series. A firmware update should only be carried out after consultation with Beckhoff support.
Storage locations
An EtherCAT slave stores operating data in up to 3 locations:
▪
Depending on functionality and performance EtherCAT slaves have one or several local controllers for processing I/O data. The corresponding program is the so-called firmware in *.efw format.
▪
In some EtherCAT slaves the EtherCAT communication may also be integrated in these controllers. In this case the controller is usually a so-called FPGA chip with *.rbf firmware.
▪
In addition, each EtherCAT slave has a memory chip, a so-called ESI-EEPROM, for storing its own device description (ESI: EtherCAT Slave Information). On power-up this description is loaded and the EtherCAT communication is set up accordingly. The device description is available from the download area of the Beckhoff website at (https://www.beckhoff.de). All ESI files are accessible there as zip files.
Customers can access the data via the EtherCAT fieldbus and its communication mechanisms. Acyclic mailbox communication or register access to the ESC is used for updating or reading of these data.
The TwinCAT System Manager offers mechanisms for programming all 3 parts with new data, if the slave is set up for this purpose. Generally the slave does not check whether the new data are suitable, i.e. it may no longer be able to operate if the data are unsuitable.
Simplified update by bundle firmware
The update using so-called bundle firmware is more convenient: in this case the controller firmware and the ESI description are combined in a *.efw file; during the update both the firmware and the ESI are changed in the terminal. For this to happen it is necessary
▪
for the firmware to be in a packed format: recognizable by the file name, which also contains the revision number, e.g. ELxxxx-xxxx_REV0016_SW01.efw
▪
for password=1 to be entered in the download dialog. If password=0 (default setting) only the firmware update is carried out, without an ESI update.
▪
for the device to support this function. The function usually cannot be retrofitted; it is a component of many new developments from year of manufacture 2016.
Following the update, its success should be verified
▪
ESI/Revision: e.g. by means of an online scan in TwinCAT ConfigMode/FreeRun – this is a convenient way to determine the revision
▪
Firmware: e.g. by looking in the online CoE of the device
Note
Risk of damage to the device!
Note the following when downloading new device files

• Firmware downloads to an EtherCAT device must not be interrupted
• Flawless EtherCAT communication must be ensured. CRC errors or LostFrames must be avoided.
• The power supply must adequately dimensioned. The signal level must meet the specification.

In the event of malfunctions during the update process the EtherCAT device may become unusable and require re-commissioning by the manufacturer.
Additional information
•
Device description ESI file/XML
•
Firmware explanation
•
Updating controller firmware *.efw
•
FPGA firmware *.rbf
•
Simultaneous updating of several EtherCAT devices


Device description ESI file/XML

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] Device description ESI file/XML
Device description ESI file/XML
Note
Attention regarding update of the ESI description/EEPROM
Some slaves have stored calibration and configuration data from the production in the EEPROM. These are irretrievably overwritten during an update.
The ESI device description is stored locally on the slave and loaded on start-up. Each device description has a unique identifier consisting of slave name (9 characters/digits) and a revision number (4 digits). Each slave configured in the System Manager shows its identifier in the EtherCAT tab:
Device identifier consisting of name EL3204-0000 and revision -0016
The configured identifier must be compatible with the actual device description used as hardware, i.e. the description which the slave has loaded on start-up (in this case EL3204). Normally the configured revision must be the same or lower than that actually present in the terminal network.
For further information on this, please refer to the EtherCAT system documentation.
Update of XML/ESI description
The device revision is closely linked to the firmware and hardware used. Incompatible combinations lead to malfunctions or even final shutdown of the device. Corresponding updates should only be carried out in consultation with Beckhoff support.
Display of ESI slave identifier
The simplest way to ascertain compliance of configured and actual device description is to scan the EtherCAT boxes in TwinCAT mode Config/FreeRun:
Scan the subordinate field by right-clicking on the EtherCAT device
If the found field matches the configured field, the display shows
Configuration is identical
otherwise a change dialog appears for entering the actual data in the configuration.
Change dialog
In this example in Fig. Change dialog, an EL3201-0000-0017 was found, while an EL3201-0000-0016 was configured. In this case the configuration can be adapted with the Copy Before button. The Extended Information checkbox must be set in order to display the revision.
Changing the ESI slave identifier
The ESI/EEPROM identifier can be updated as follows under TwinCAT:
▪
Trouble-free EtherCAT communication must be established with the slave.
▪
The state of the slave is irrelevant.
▪
Right-clicking on the slave in the online display opens the EEPROM Update dialog, Fig. EEPROM Update
EEPROM Update
The new ESI description is selected in the following dialog, see Fig. Selecting the new ESI. The checkbox Show Hidden Devices also displays older, normally hidden versions of a slave.
Selecting the new ESI
A progress bar in the System Manager shows the progress. Data are first written, then verified.
The change only takes effect after a restart.
Most EtherCAT devices read a modified ESI description immediately or after startup from the INIT. Some communication settings such as distributed clocks are only read during power-on. The EtherCAT slave therefore has to be switched off briefly in order for the change to take effect.


Firmware explanation

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] Firmware explanation
Firmware explanation
Determining the firmware version
Determining the version on laser inscription
Beckhoff EtherCAT slaves feature serial numbers applied by laser. The serial number has the following structure: KK YY FF HH
KK - week of production (CW, calendar week)
YY - year of production
FF - firmware version
HH - hardware version
Example with ser. no.: 12 10 03 02:
12 - week of production 12
10 - year of production 2010
03 - firmware version 03
02 - hardware version 02
Determining the version via the System Manager
The TwinCAT System Manager shows the version of the controller firmware if the master can access the slave online. Click on the E-Bus Terminal whose controller firmware you want to check (in the example terminal 2 (EL3204)) and select the tab CoE Online (CAN over EtherCAT).
CoE Online and Offline CoE
Two CoE directories are available:
• online: This is offered in the EtherCAT slave by the controller, if the EtherCAT slave supports this. This CoE directory can only be displayed if a slave is connected and operational.
• offline: The EtherCAT Slave Information ESI/XML may contain the default content of the CoE. This CoE directory can only be displayed if it is included in the ESI (e.g. "Beckhoff EL5xxx.xml").
The Advanced button must be used for switching between the two views.
In Fig. Display of EL3204 firmware version the firmware version of the selected EL3204 is shown as 03 in CoE entry 0x100A.
Display of EL3204 firmware version
In (A) TwinCAT 2.11 shows that the Online CoE directory is currently displayed. If this is not the case, the Online directory can be loaded via the Online option in Advanced Settings (B) and double-clicking on AllObjects.


Updating controller firmware *.efw

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] Updating controller firmware *.efw
Updating controller firmware *.efw
CoE directory
The Online CoE directory is managed by the controller and stored in a dedicated EEPROM, which is generally not changed during a firmware update.
Switch to the Online tab to update the controller firmware of a slave, see Fig. Firmware Update.
Firmware Update
Proceed as follows, unless instructed otherwise by Beckhoff support. Valid for TwinCAT 2 and 3 as EtherCAT master.
▪
Switch TwinCAT system to ConfigMode/FreeRun with cycle time >= 1 ms (default in ConfigMode is 4 ms). A FW-Update during real time operation is not recommended.
▪
Switch EtherCAT Master to PreOP
▪
Switch slave to INIT (A)
▪
Switch slave to BOOTSTRAP
▪
Check the current status (B, C)
▪
Download the new *efw file (wait until it ends). A pass word will not be neccessary usually.
▪
After the download switch to INIT, then PreOP
▪
Switch off the slave briefly (don't pull under voltage!)
▪
Check within CoE 0x100A, if the FW status was correctly overtaken.


FPGA firmware *.rbf

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] FPGA firmware *.rbf
FPGA firmware *.rbf
If an FPGA chip deals with the EtherCAT communication an update may be accomplished via an *.rbf file.
▪
Controller firmware for processing I/O signals
▪
FPGA firmware for EtherCAT communication (only for terminals with FPGA)
The firmware version number included in the terminal serial number contains both firmware components. If one of these firmware components is modified this version number is updated.
Determining the version via the System Manager
The TwinCAT System Manager indicates the FPGA firmware version. Click on the Ethernet card of your EtherCAT strand (Device 2 in the example) and select the Online tab.
The Reg:0002 column indicates the firmware version of the individual EtherCAT devices in hexadecimal and decimal representation.
FPGA firmware version definition
If the column Reg:0002 is not displayed, right-click the table header and select Properties in the context menu.
Context menu Properties
The Advanced Settings dialog appears where the columns to be displayed can be selected. Under Diagnosis/Online View select the '0002 ETxxxx Build' check box in order to activate the FPGA firmware version display.
Dialog Advanced Settings
Update
For updating the FPGA firmware
▪
of an EtherCAT coupler the coupler must have FPGA firmware version 11 or higher;
▪
of an E-Bus Terminal the terminal must have FPGA firmware version 10 or higher.
Older firmware versions can only be updated by the manufacturer!
Updating an EtherCAT device
The following sequence order have to be met if no other specifications are given (e.g. by the Beckhoff support):
▪
Switch TwinCAT system to ConfigMode/FreeRun with cycle time >= 1 ms (default in ConfigMode is 4 ms). A FW-Update during real time operation is not recommended.
▪
In the TwinCAT System Manager select the terminal for which the FPGA firmware is to be updated (in the example: Terminal 5: EL5001) and
click the Advanced Settings button in the EtherCAT tab:
▪
The Advanced Settings dialog appears. Under ESC Access/E²PROM/FPGA click on Write FPGA button:
▪
Select the file (*.rbf) with the new FPGA firmware, and transfer it to the EtherCAT device:
▪
Wait until download ends
▪
Switch slave current less for a short time (don't pull under voltage!). In order to activate the new FPGA firmware a restart (switching the power supply off and on again) of the EtherCAT device is required.
▪
Check the new FPGA status
Note
Risk of damage to the device!
A download of firmware to an EtherCAT device must not be interrupted in any case! If you interrupt this process by switching off power supply or disconnecting the Ethernet link, the EtherCAT device can only be recommissioned by the manufacturer!


Simultaneous updating of several EtherCAT devices

Appendix [image] Firmware Update EL/ES/EM/ELM/EPxxxx [image] Simultaneous updating of several EtherCAT devices
Simultaneous updating of several EtherCAT devices
The firmware and ESI descriptions of several devices can be updated simultaneously, provided the devices have the same firmware file/ESI.
Multiple selection and firmware update
Select the required slaves and carry out the firmware update in BOOTSTRAP mode as described above.


Support and Service

Appendix [image] Support and Service
Support and Service
Beckhoff and their partners around the world offer comprehensive support and service, making available fast and competent assistance with all questions related to Beckhoff products and system solutions.
Beckhoff's branch offices and representatives
Please contact your Beckhoff branch office or representative for local support and service on Beckhoff products!
The addresses of Beckhoff's branch offices and representatives round the world can be found on her internet pages:
http://www.beckhoff.com
You will also find further documentation for Beckhoff components there.
Beckhoff Headquarters
Beckhoff Automation GmbH & Co. KG
Huelshorstweg 20
33415 Verl
Germany
Phone: | +49 5246 963 0
Fax: | +49 5246 963 198
e-mail: | info@beckhoff.com
Beckhoff Support
Support offers you comprehensive technical assistance, helping you not only with the application of individual Beckhoff products, but also with other, wide-ranging services:
▪
support
▪
design, programming and commissioning of complex automation systems
▪
and extensive training program for Beckhoff system components
Hotline: | +49 5246 963 157
Fax: | +49 5246 963 9157
e-mail: | support@beckhoff.com
Beckhoff Service
The Beckhoff Service Center supports you in all matters of after-sales service:
▪
on-site service
▪
repair service
▪
spare parts service
▪
hotline service
Hotline: | +49 5246 963 460
Fax: | +49 5246 963 479
e-mail: | service@beckhoff.com